Skip to main content
GET
/
v1
/
personas
/
{persona_id}
Get a persona
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/personas/{persona_id} \
  --header 'x-api-key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "is_active": true,
  "body": "<string>",
  "traits": {},
  "behavior_config": {
    "first_speaker": "agent",
    "cut_in": {
      "min_words": 3,
      "min_duration_ms": 300,
      "backoff_ms": 1000
    },
    "language": "<string>",
    "background_noise": "none",
    "background_noise_volume": 0.3,
    "wait_seconds": 0,
    "yield_on_overlap": {
      "after_words": 2,
      "after_seconds": 0.5
    },
    "interruption_mode": "off",
    "backchannel_style": "neutral",
    "backchannel_overrides": [
      "<string>"
    ],
    "reaction_pause_ms_min": 200,
    "reaction_pause_ms_max": 500
  },
  "created_by": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "cloned_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

x-api-key
string
header
required

Path Parameters

persona_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
organization_id
string<uuid>
required
name
string
required
description
string | null
required
is_active
boolean
required
body
string
required
traits
Traits · object
required
behavior_config
PersonaBehaviorConfig · object
required

Advanced simulation knobs attached to a persona. Stored as JSONB on personas.behavior_config; per-run overrides will reuse this shape on SimulationRun (ENG-474).

created_by
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
cloned_from_id
string<uuid> | null